clear all
close all
clc

%% Lecture du dossier

rep = 'C:\Users\mymig\OneDrive\Documents\ESPCI\PSE_Calcaire\Expriences\19_06_26\exp4';
ext = '*.tiff';

chemin = fullfile(rep,ext);
list = dir(chemin);

%% Definition cadre image

nb = numel(list) ;
img = imread(fullfile(rep, list(nb).name), ext(3:end));
[im1,rect] = imcrop(img) ;

%% A faire sur ImageJ :

l = input('Entrer l en cm : \n ') ; % largeur toboggan en cm ;
npixel = input('Entrer npixel : \n ') ; % nb de pixel correspondant - ImageJ ;

% Longueurs d'onde d'interet :
lambdaXX = 0.005 ; % en m
lambdaYY = 0.100 ; % en m

%% Definitions des axes :

[n m] = size(im1) ;

[X,Y,kx,ky,T,Fs] = echelle(l,npixel,im1) ;

kx_moitie = kx(1:floor(m/2)); % en m-1
lambda = 1./kx(1:floor(m/2)) ; % en m

%% Parametres experience :

delta_t = 0.1 ; % en seconde ;
t_max = delta_t * (numel(list)-1) ;

deb = input('Entrer deb en mL/s : \n ') ; % en mL/s

%% Echelles en temps et en debit :

temps = 0:delta_t:t_max ;
volume = deb * temps ;

%% Initialisation des rsultats :

[a b] = size(kx_moitie) ;
somme_TF = zeros(nb,b) ;

%% Traitement des images une  une :

for p = 1:numel(list)
    
    % Cadrage image :
    img = imread(fullfile(rep, list(p).name), ext(3:end));
    im = imcrop(img,rect) ;
    
    [sum_vect] = Traitimages(im,kx_moitie,lambdaXX,lambdaYY) ;
    somme_TF(p,:) = sum_vect ;

end

%% Affichage :

%% Rsultats :

figure(1),mesh(100*lambda,volume,somme_TF)
limits2 = 100*[lambdaXX lambdaYY] ;
xlim(limits2)
xlabel('longueur d onde (cm)')
ylabel('Volume vers (mL)')
title('TF somme')

%% Partie etudiee de la photo :
% On peut vrifier la cohrence des longueurs d'onde obtenues en regardant la photo d'origine.

figure(2), clf
imagesc(100*X,100*Y,im1);
xlabel('x_{pos} (cm)')
ylabel('y_{pos} (cm)')
title('Image avec chelles spatiales')

%% Sauvegarde :

save('C:\Users\mymig\Desktop\matlab janvier\resultats\test','volume','lambda','somme_TF') ;
savefig(figure(1),'C:\Users\mymig\Desktop\matlab janvier\resultats\test.fig') ;
